use "D:\epudata\dta\data.dta",clear

bysort year: summarize lev 
summarize lev
summarize epu size age fix prof medlev sdprof uoe3 uof1 lnM2 eei d_sen

correlate epu size age fix prof medlev sdprof uoe3 uof1 lnM2 eei d_sen 
reg lev epu size age fix prof medlev sdprof uoe3 uof1 lnM2 eei d_sen 
vif

xtserial lev epu size age fix prof medlev sdprof d_sen lnM2 eei d_sen 

xtreg lev epu size age fix prof medlev sdprof d_sen lnM2 eei d_sen, fe
xttest3 



*ʱṹ
ivreg2 lev size age fix prof medlev sdprof d_sen lnM2 eei d_sen (epu =uepu), gmm2s r
est store a1

ivreg2 lev size age fix prof medlev sdprof lnM2 eei d_sen (epu =uepu), gmm2s 
est store a4

xtreg lev epu size age fix prof medlev sdprof lnM2 eei d_sen,fe r
est store a2

xtreg lev epu size age fix prof medlev sdprof lnM2 eei d_sen,fe 
est store a3
esttab a1 a4 a2 a3, star(* 0.1 ** 0.05 *** 0.01) b(%6.4f) t(%6.4f) compress nogap ///
stats(N r2_a, fmt(%12.0f  %9.3f)) varwidth(20) ///
title("Table1 lev") mtitle("GMM2S" "GMM2S" "FE" "FE")



*ٶȼ
ivreg2 lev size age fix prof medlev sdprof lnM2 eei d_sen (epu =uepu), gmm2s r

predict levx, xb 

sort id year 
gen llev =L.lev
gen lev2 = lev - llev
gen lev3 = levx - llev
gen v = lev2/lev3

gen sizex = epu*size 
gen agex = epu*age
gen fixx = epu*fix
gen profx = epu*prof
gen sdprofx = epu*sdprof
gen medx = epu*medlev

gen uoe3x = epu*uoe3

gen M2x = epu*lnM2
gen eeix = epu*eei

gen epux = epu*epu
gen epullev = epu*llev
gen uoe3llev = uoe3*llev


*epuع
xtreg lev llev epullev          sizex agex fixx profx medx sdprofx   eeix epux size    fix prof  medlev sdprof epu lnM2 eei d_sen,fe r //Եٶȵϣ̶ЧӦȽ׼
est store mm1
xtreg lev llev epullev          sizex agex fixx profx medx sdprofx   eeix epux size    fix prof  medlev sdprof epu lnM2 eei d_sen,fe  //Եٶȵϣ̶ЧӦȽ׼
est store m2
xtreg lev llev epullev          sizex agex fixx profx medx sdprofx   eeix epux size    fix prof  medlev sdprof epu lnM2 eei d_sen //Եٶȵϣ̶ЧӦȽ׼
est store m3
esttab mm1 m2 m3, star(* 0.1 ** 0.05 *** 0.01) b(%6.4f) t(%6.4f) compress nogap ///
stats(N r2_a, fmt(%12.0f  %9.3f)) varwidth(20) ///
title("Table1 lev") mtitle("FE" "FE" "RE")

  
*uoe3 ع
xtreg uoe3 epu size age fix prof sdprof d_sen,fe r
est store n1

xtreg uoe3 epu size age fix prof sdprof d_sen,fe 
est store n2

xtreg uoe3 epu size age fix prof sdprof d_sen,
est store n3

esttab n1 n2 n3, star(* 0.1 ** 0.05 *** 0.01) b(%6.4f) t(%6.4f) compress nogap ///
stats(N r2_a, fmt(%12.0f  %9.3f)) varwidth(20) ///
title("Table1 lev") mtitle("FE" "FE" "RE" "RE")

xtreg lev llev         uoe3llev sizex agex fixx profx medx sdprofx   eeix   size  fix prof  medlev sdprof  uoe3  lnM2 eei d_sen,fe r //Եٶȵϣ̶ЧӦȽ׼
est store mm2
xtreg lev llev epullev uoe3llev sizex agex fixx profx medx sdprofx   eeix epux  size   fix prof  medlev sdprof epu uoe3 lnM2 eei d_sen,fe r //Եٶȵϣ̶ЧӦȽ׼
est store mm3
esttab mm1 mm2 mm3, star(* 0.1 ** 0.05 *** 0.01) b(%6.4f) t(%6.4f) compress nogap ///
stats(N r2_a, fmt(%12.0f  %9.3f)) varwidth(20) ///
title("Table1 lev") 

  
 *uof1 ع
gen uof1x = epu*uof1
gen uof1llev = uof1*llev

xtreg uof1 epu lnM2 eei,fe r
est store n7

xtreg uof1 epu lnM2 eei,fe
est store n8

xtreg uof1 epu lnM2 eei,
est store n9

esttab n7 n8 n9, star(* 0.1 ** 0.05 *** 0.01) b(%8.4f) t(%8.4f) compress nogap ///
stats(N r2_a, fmt(%12.0f  %9.3f)) varwidth(20) ///
title("Table1 lev") mtitle("FE" "FE" "RE" "RE")

xtreg lev llev epullev          sizex fixx profx medx sdprofx  eeix epux size fix prof  medlev sdprof epu eei d_sen,fe r //Եٶȵϣ̶ЧӦȽ׼
est store mm1
xtreg lev llev         uof1llev sizex fixx profx medx sdprofx  eeix      size fix prof  medlev sdprof     eei d_sen,fe r //Եٶȵϣ̶ЧӦȽ׼
est store mm6
xtreg lev llev epullev uof1llev sizex fixx profx medx sdprofx  eeix epux size fix prof  medlev sdprof epu eei d_sen,fe r //Եٶȵϣ̶ЧӦȽ׼
est store mm7
esttab mm1 mm6 mm7, star(* 0.1 ** 0.05 *** 0.01) b(%6.4f) t(%6.4f) compress nogap ///
stats(N r2_a, fmt(%12.0f  %9.3f)) varwidth(20) ///
title("Table1 lev") 

 save "D:\epudata\dta\done.dta"

 
*robust1  
*uoe4ع 

xtreg uoe4 epu size age prof sdprof d_sen,fe r
est store n4

xtreg uoe4 epu size age  prof sdprof d_sen,fe 
est store n5


xtreg uoe4 epu size age  prof sdprof d_sen 
est store n6

esttab n4 n5 n6, star(* 0.1 ** 0.05 *** 0.01) b(%6.4f) t(%6.4f) compress nogap ///
stats(N r2_a, fmt(%12.0f  %9.3f)) varwidth(20) ///
title("Table1 lev") mtitle("FE" "FE" "RE" "RE")

gen uoe4x = epu*uoe4
gen uoe4llev = uoe4*llev

xtreg lev llev         uoe4llev sizex agex fixx profx medx sdprofx   eeix   size  fix prof  medlev sdprof  uoe4  lnM2 eei d_sen,fe r //Եٶȵϣ̶ЧӦȽ׼
est store mm4
xtreg lev llev epullev uoe4llev sizex agex fixx profx medx sdprofx   eeix epux  size   fix prof  medlev sdprof epu uoe4 lnM2 eei d_sen,fe r //Եٶȵϣ̶ЧӦȽ׼
est store mm5
esttab mm1 mm4 mm5, star(* 0.1 ** 0.05 *** 0.01) b(%6.4f) t(%6.4f) compress nogap ///
stats(N r2_a, fmt(%12.0f  %9.3f)) varwidth(20) ///
title("Table1 lev")


*uof2ع
gen uof2x = epu*uof2
gen uof2llev = uof2*llev

xtreg uof2 epu lnM2 eei,fe r
est store n10
xtreg uof2 epu lnM2 eei,fe 
est store n11
xtreg uof2 epu lnM2 eei
est store n12

esttab n10 n11 n12, star(* 0.1 ** 0.05 *** 0.01) b(%6.4f) t(%6.4f) compress nogap ///
stats(N r2_a, fmt(%12.0f  %9.3f)) varwidth(20) ///
title("Table1 lev") mtitle("FE" "FE" "RE" "RE")

xtreg lev llev epullev          sizex agex fixx profx medx sdprofx  eeix epux size fix prof  medlev sdprof epu lnM2 eei d_sen,fe r //Եٶȵϣ̶ЧӦȽ׼
est store mm1
xtreg lev llev         uof2llev sizex agex fixx profx medx sdprofx  eeix      size fix prof  medlev sdprof    uof2  lnM2 eei d_sen,fe r //Եٶȵϣ̶ЧӦȽ׼
est store mm8
xtreg lev llev epullev uof2llev sizex agex fixx profx medx sdprofx  eeix epux  size fix prof  medlev sdprof epu uof2 lnM2 eei d_sen,fe r //Եٶȵϣ̶ЧӦȽ׼
est store mm9
esttab mm1 mm8 mm9, star(* 0.1 ** 0.05 *** 0.01) b(%6.4f) t(%6.4f) compress nogap ///
stats(N r2_a, fmt(%12.0f  %9.3f)) varwidth(20) ///
title("Table1 lev") 

save "D:\epudata\dta\robust1.dta"


*robust2 ĿʱṹΪҵֵܸ
use "D:\epudata\dta\data.dta",clear
egen levx = mean(lev) ,by(id year)

sort id year 
gen llev =L.lev
gen lev2 = lev - llev
gen lev3 = levx - llev
gen v = lev2/lev3

gen sizex = epu*size 
gen agex = epu*age
gen fixx = epu*fix
gen profx = epu*prof
gen sdprofx = epu*sdprof
gen medx = epu*medlev

gen uoe3x = epu*uoe3

gen M2x = epu*lnM2
gen eeix = epu*eei

gen epux = epu*epu
gen epullev = epu*llev
gen uoe3llev = uoe3*llev


*uoe3 
xtreg lev llev epullev          sizex agex fixx profx medx sdprofx   eeix epux size    fix prof  medlev sdprof epu lnM2 eei d_sen,fe r //Եٶȵϣ̶ЧӦȽ׼
est store mm1
xtreg lev llev         uoe3llev sizex agex fixx profx medx sdprofx   eeix   size  fix prof  medlev sdprof  uoe3  lnM2 eei d_sen,fe r //Եٶȵϣ̶ЧӦȽ׼
est store mm2
xtreg lev llev epullev uoe3llev sizex agex fixx profx medx sdprofx   eeix epux  size   fix prof  medlev sdprof epu uoe3 lnM2 eei d_sen,fe r //Եٶȵϣ̶ЧӦȽ׼
est store mm3

esttab mm1 mm2 mm3, star(* 0.1 ** 0.05 *** 0.01) b(%6.4f) t(%6.4f) compress nogap ///
stats(N r2_a, fmt(%12.0f  %9.3f)) varwidth(20) ///
title("Table1 lev") 


*uof1
gen uof1x = epu*uof1
gen uof1llev = uof1*llev

xtreg lev llev epullev          sizex fixx profx medx sdprofx  eeix epux size fix prof  medlev sdprof epu eei d_sen,fe r //Եٶȵϣ̶ЧӦȽ׼
est store mm1
xtreg lev llev         uof1llev sizex fixx profx medx sdprofx  eeix      size fix prof  medlev sdprof     eei d_sen,fe r //Եٶȵϣ̶ЧӦȽ׼
est store mm6
xtreg lev llev epullev uof1llev sizex fixx profx medx sdprofx  eeix epux size fix prof  medlev sdprof epu eei d_sen,fe r //Եٶȵϣ̶ЧӦȽ׼
est store mm7

esttab mm1 mm6 mm7, star(* 0.1 ** 0.05 *** 0.01) b(%6.4f) t(%6.4f) compress nogap ///
stats(N r2_a, fmt(%12.0f  %9.3f)) varwidth(20) ///
title("Table1 lev") 

save "D:\epudata\dta\robust2.dta",


*robust3 epu滻Ϊuepu
use "D:\epudata\dta\data.dta",clear

xtreg lev uepu size age fix prof medlev sdprof lnM2 eei d_sen, fe r
predict levx, xb 

sort id year 
gen llev =L.lev
gen lev2 = lev - llev
gen lev3 = levx - llev
gen v = lev2/lev3

gen sizex = uepu*size 
gen agex = uepu*age
gen fixx = uepu*fix
gen profx = uepu*prof
gen sdprofx = uepu*sdprof
gen medx = uepu*medlev

gen uoe3x = uepu*uoe3

gen M2x = uepu*lnM2
gen eeix = uepu*eei

gen uepux = uepu*uepu
gen uepullev = uepu*llev
gen uoe3llev = uoe3*llev


*uoe3  
xtreg uoe3 uepu size age fix prof d_sen,fe r
est store n1

xtreg uoe3 uepu size age fix prof  d_sen,fe 
est store n2

xtreg uoe3 uepu size age fix prof d_sen,
est store n3

xtreg lev llev uepullev          sizex agex fixx profx medx sdprofx   eeix uepux size    fix prof  medlev sdprof uepu lnM2 eei d_sen,fe r //Եٶȵϣ̶ЧӦȽ׼
est store mm1
xtreg lev llev         uoe3llev sizex agex fixx profx medx sdprofx   eeix   size  fix prof  medlev sdprof  uoe3  lnM2 eei d_sen,fe r //Եٶȵϣ̶ЧӦȽ׼
est store mm2
xtreg lev llev uepullev uoe3llev sizex agex fixx profx medx sdprofx   eeix uepux  size   fix prof  medlev sdprof uepu uoe3 lnM2 eei d_sen,fe r //Եٶȵϣ̶ЧӦȽ׼
est store mm3

esttab n1 n2 n3 , star(* 0.1 ** 0.05 *** 0.01) b(%6.4f) t(%6.4f) compress nogap ///
stats(N r2_a, fmt(%12.0f  %9.3f)) varwidth(20) ///
title("Table1 lev") mtitle("FE" "FE" "RE")

esttab mm1 mm2 mm3, star(* 0.1 ** 0.05 *** 0.01) b(%6.4f) t(%6.4f) compress nogap ///
stats(N r2_a, fmt(%12.0f  %9.3f)) varwidth(20) ///
title("Table1 lev") 


*uof1
gen uof1x = uepu*uof1
gen uof1llev = uof1*llev

xtreg uof1 uepu lnM2 eei,fe r
est store n7

xtreg uof1 uepu lnM2 eei,fe
est store n8

xtreg uof1 uepu lnM2 eei,
est store n9

esttab n7 n8 n9, star(* 0.1 ** 0.05 *** 0.01) b(%6.4f) t(%6.4f) compress nogap ///
stats(N r2_a, fmt(%12.0f  %9.3f)) varwidth(20) ///
title("Table1 lev") mtitle("FE" "FE" "RE" "RE")

xtreg lev llev uepullev          sizex fixx profx medx sdprofx  eeix uepux size fix prof  medlev sdprof uepu eei d_sen,fe r //Եٶȵϣ̶ЧӦȽ׼
est store mm1
xtreg lev llev         uof1llev sizex fixx profx medx sdprofx  eeix      size fix prof  medlev sdprof     eei d_sen,fe r //Եٶȵϣ̶ЧӦȽ׼
est store mm6
xtreg lev llev uepullev uof1llev sizex fixx profx medx sdprofx  eeix uepux size fix prof  medlev sdprof uepu eei d_sen,fe r //Եٶȵϣ̶ЧӦȽ׼
est store mm7
esttab mm1 mm6 mm7, star(* 0.1 ** 0.05 *** 0.01) b(%6.4f) t(%6.4f) compress nogap ///
stats(N r2_a, fmt(%12.0f  %9.3f)) varwidth(20) ///
title("Table1 lev") 

save "D:\epudata\dta\robust3.dta"
